# Uses of Interface
org.apache.sling.scripting.api.CachedScript

Packages that use CachedScript
Package
Description
org.apache.sling.scripting.api
Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements.

## Uses of CachedScript in org.apache.sling.scripting.api

Methods in org.apache.sling.scripting.api that return CachedScript
Modifier and Type
Method
Description
`CachedScript`
ScriptCache.`getScript(String scriptPath)`
Retrieves the `CachedScript` corresponding to the script accessible from the `scriptPath`.
Methods in org.apache.sling.scripting.api with parameters of type CachedScript
Modifier and Type
Method
Description
`void`
ScriptCache.`putScript(CachedScript script)`
Stores a `CachedScript` in the cache.